#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Lit et affiche les données fournies par le captaur BME680

#importer les bibliothèques utilisées par le script
import bme680
import time

print("Affichage de la température, de l'humidité, de la pression.")

print ("Quittez le programme avec Ctrl+C")

#Crée le capteur en testant les deux adresses possibles 0x76 et 0x77
try:
    capteur = bme680.BME680(bme680.I2C_ADDR_PRIMARY)
except IOError:
    capteur = bme680.BME680(bme680.I2C_ADDR_SECONDARY)
print('Démarrage du programme:')
try:
    # Boucle infinie du script
    while True:
        # Si les données du capteur sont lues
        if capteur.get_sensor_data():
            # Afficher la température
            print(f'Température : {capteur.data.temperature:.2f} °C')
            # Afficher la pression
            print(f'Pression : {capteur.data.pressure:.2f} hPa')
            # Afficher l'humidité relative
            print(f'Humidité : {capteur.data.humidity:.2f} %HR')
            print("==============")

        # Attendre 1 seconde 
        time.sleep(1)

# Sortir du script sur CTRL+C
except KeyboardInterrupt:
    pass
